Package com.independentsoft.office.charts

# Class PageMargins

java.lang.Object
com.independentsoft.office.charts.PageMargins

public class PageMargins extends Object
The Class PageMargins.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageMargins()`
  Instantiates a new page margins.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PageMargins`
  `clone()`
  `double`
  `getBottom()`
  Gets the bottom.
  `double`
  `getFooter()`
  Gets the footer.
  `double`
  `getHeader()`
  Gets the header.
  `double`
  `getLeft()`
  Gets the left.
  `double`
  `getRight()`
  Gets the right.
  `double`
  `getTop()`
  Gets the top.
  `void`
  `setBottom​(double bottom)`
  Sets the bottom.
  `void`
  `setFooter​(double footer)`
  Sets the footer.
  `void`
  `setHeader​(double header)`
  Sets the header.
  `void`
  `setLeft​(double left)`
  Sets the left.
  `void`
  `setRight​(double right)`
  Sets the right.
  `void`
  `setTop​(double top)`
  Sets the top.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PageMargins

    public PageMargins()
    Instantiates a new page margins.

- ## Method Details

  - ### clone

    public PageMargins clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getBottom

    public double getBottom()
    Gets the bottom.
    Returns:
      the bottom

  - ### setBottom

    public void setBottom​(double bottom)
    Sets the bottom.
    Parameters:
      `bottom` - the new bottom

  - ### getFooter

    public double getFooter()
    Gets the footer.
    Returns:
      the footer

  - ### setFooter

    public void setFooter​(double footer)
    Sets the footer.
    Parameters:
      `footer` - the new footer

  - ### getHeader

    public double getHeader()
    Gets the header.
    Returns:
      the header

  - ### setHeader

    public void setHeader​(double header)
    Sets the header.
    Parameters:
      `header` - the new header

  - ### getLeft

    public double getLeft()
    Gets the left.
    Returns:
      the left

  - ### setLeft

    public void setLeft​(double left)
    Sets the left.
    Parameters:
      `left` - the new left

  - ### getRight

    public double getRight()
    Gets the right.
    Returns:
      the right

  - ### setRight

    public void setRight​(double right)
    Sets the right.
    Parameters:
      `right` - the new right

  - ### getTop

    public double getTop()
    Gets the top.
    Returns:
      the top

  - ### setTop

    public void setTop​(double top)
    Sets the top.
    Parameters:
      `top` - the new top